# Change a custom role

`PATCH /organizations/{id}/role-definitions/{rid}` · Rivier · workspace

Change a custom role.

- Scope: workspace:admin
- Graphql: Mutation.workspaceRoleDefinitionUpdate
- Sdk: workspace.roleDefinition.update
- Cli: workspace role definition update

## Parameters

- `id` (path, required), string
- `rid` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/organizations/{id}/role-definitions/{rid}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
